{% extends 'base.html' %}
{% block content %}
<main>
    <div class="project-list">
        <h1>Company Overview</h1>
        {% for company in company_list %}
        <h3>{{ company.name }}</h3>
        
        {% if company_list|length > 0 %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Is complete</th>
                    <th>Owner</th>
                </tr>
            </thead>
            <tbody>
                {% for company in company_list %}
                    {% for project in company.projects.all %}
                        <tr>
                            <td><a href="{% url 'show_project' project.pk %}">{{ project.name }}</a></td>
                            <td>{{ project.is_completed }}</td>
                            <td><a href="{% url 'list_projects' %}">{{ project.members.all }}</a></td>
                        </tr>
                    {% endfor %}
                {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>You are not assigned to any projects</p>
        {% endif %}
        {% endfor %}
    </div>
</main>
{% endblock content %}